Subject: Re: linux-next: Tree for Aug 27

From: Guenter Roeck <[email-masked]>
Date: Wed, 27 Aug 2014 16:58:09 -0700

On Wed, Aug 27, 2014 at 04:10:21PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> Changes since 20140826:
> 
> The net tree lost its build failure.
> 
> The usb.current tree gained a build failure for which I reverted a commit.
> 
> The mfd tree lost its build failure.
> 
> The percpu tree gained a build failure so I used the version from
> next-20140826.
> 
> The staging tree still had its build failure for which I applied a
> fix patch.
> 
> The akpm-current tree lost its build failure.
> 
> The akpm tree lost its build failure and a patch that turned up elsewhere.
> 
> Non-merge commits (relative to Linus' tree): 2028
>  2105 files changed, 56310 insertions(+), 35111 deletions(-)
> 
I see a large number of build failures with this kernel.

drivers/base/dma-mapping.c: In function 'dma_common_contiguous_remap':
drivers/base/dma-mapping.c:294:2: error: implicit declaration of function
'dma_common_pages_remap' [-Werror=implicit-function-declaration]
drivers/base/dma-mapping.c:294:6: warning: assignment makes pointer from integer
without a cast [enabled by default]
drivers/base/dma-mapping.c: At top level:
drivers/base/dma-mapping.c:305:7: error: conflicting types for
'dma_common_pages_remap'
drivers/base/dma-mapping.c:294:8: note: previous implicit declaration of
'dma_common_pages_remap' was here
cc1: some warnings being treated as errors
make[2]: *** [drivers/base/dma-mapping.o] Error 1

Guenter